std::match_results::match_results(3)

NAME
std::match_results::match_results - std::match_results::match_results

Synopsis
   match_results() : match_results(Allocator()) { } (1) (since C++11)
   explicit match_results( const Allocator& a ); (2) (since C++11)
   match_results( const match_results& rhs ); (3) (since C++11)
   match_results( match_results&& rhs ) noexcept; (4) (since C++11)
   1) Default constructor. Constructs a match result with no established result state
   (ready() != true).
   2) Constructs a match result with no established result state (ready() != true)
   using a copy of a as the allocator.
   3) Copy constructor. Constructs a match result with a copy of rhs.
   4) Move constructor. Constructs a match result with the contents of rhs using move
   semantics. rhs is in valid, but unspecified state after the call.

Parameters
   a - allocator to use for all memory allocations of this container
   rhs - another match_result to use as source to initialize the match_result with

Exceptions
   1-3) May throw implementation-defined exceptions.

Example
    This section is incomplete
    Reason: no example
  Defect reports
   The following behavior-changing defect reports were applied retroactively to
   previously published C++ standards.
     DR Applied to Behavior as published Correct behavior
   P0935R0 C++11 default constructor was explicit made implicit